Skip to main content
POST
Launch a task matrix

Authorizations

Authorization
string
header
required

Synth customer access token for the current user and organization.

Headers

Idempotency-Key
string
required
Required string length: 1 - 100

Path Parameters

user_id
string<uuid>
required
version_id
string<uuid>
required

Body

application/json

Bounded matrix over one exact immutable task version.

configurations
RegistryMatrixConfiguration · object[]
required
Required array length: 1 - 8 elements
attempts
integer
default:1
Required range: 1 <= x <= 10
concurrency_per_configuration
integer
default:1
Required range: 1 <= x <= 10

Response

Successful Response

Scored executions created for one exact task version matrix.

launches
RegistryMatrixLaunch · object[]
required
Required array length: 1 - 8 elements
task_ref
string
required
Required string length: 3 - 640
task_version_id
string<uuid>
required
contract_version
enum<string>
default:synth.registry.v1
Available options:
synth.registry.v1
Allowed value: "synth.registry.v1"